#ifndef _ZB_I2CMA_H_
#define _ZB_I2CMA_H_


#ifdef I2CMA_DEBUG

#define i2cma_dbgc(a)	__dbc(a)
#define i2cma_dbgs(a)	__dbgs(a)
#define i2cma_dbgch(a) 	__dbch(a)
#define i2cma_dbgih(a) 	__dbih(a) 

#else

#define i2cma_dbgc(a)
#define i2cma_dbgs(a)  
#define i2cma_dbgch(a)
#define i2cma_dbgih(a)

#endif


void i2c_init (u8 myslaveaddress);
u8 i2c_send_start ();
u8 i2c_send_sla_w (u8 slaveaddress);
u8 i2c_send_sla_r (u8 slaveaddress);
u8 i2c_send_data (u8 value);
u8 i2c_receive_data (u8 * value, u8 lastFlag);
u8 i2c_send_stop ();

#endif
